Bug 29565 - Kernel related question
Kernel related question
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-26 11:37 EST by Puneet Chaudhary
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 14:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
macine profile (5.73 KB, text/plain)
2001-03-01 01:16 EST, Puneet Chaudhary
no flags Details

  None (edit)
Description Puneet Chaudhary 2001-02-26 11:37:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (Windows NT 5.0; U)


Hi, I have two kernel related questions.

First question.
Up-until RedHat 7.0, one could install an SMP kernel on a UP machine and it would work fine.
But under Fisher, if I install the SMP kernel on a UP machine, the machine hangs in
about half and hour. I then have to power off/on the machine to revive it. Has anybody seen this before?

On the side, I built an SMP version of the 2.4 kernel after downloading the source from
kernel.org and that also ran fine on the same UP machine.

Second question.
What is final kernel version you all are planning on releasing with the next Official release?
2.4.0 OR 2.4.1 OR 2.4.2. 

Thanks much in advance for your help.

Reproducible: Always
Steps to Reproduce:
1.Boot a UP machine with the SMP kernel provided in FIsher
2.
3.
Comment 1 Arjan van de Ven 2001-02-26 12:10:34 EST
Please try the Wolverine kernel and see if that helps the UP/SMP issue.
Comment 2 Puneet Chaudhary 2001-02-27 21:37:14 EST
I tried the wolverine kernel and that didn't help either.
The UP machine still hangs if booted with the SMP kernel.
Comment 3 Michael K. Johnson 2001-03-01 00:20:46 EST
Please give us a complete hardware profile.
Comment 4 Puneet Chaudhary 2001-03-01 01:16:41 EST
Created attachment 11421 [details]
macine profile
Comment 5 Puneet Chaudhary 2001-03-01 01:18:33 EST
Please refer to the attached file for the machine profile.
In addition, if you want any additional information, kindly let me know.
Comment 6 Michael K. Johnson 2001-03-01 21:02:16 EST
Two more questions...

Does booting with "noapic" make the problem go away?

Could you try the latest kernel in rawhide (2.4.1-0.1.14 last I checked)
to see if it still exists there?
Comment 7 Wendy Hung 2001-03-19 14:42:40 EST
2.4.2-0.1.19smp kernel loaded on an uni-processor IBM x200 system was up for more than 8 hours with no problems.
Comment 8 Arjan van de Ven 2001-03-19 14:45:26 EST
Sounds fixed to me. If the problem returns, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.